## fcitx5-unikey 5.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(fcitx5-unikey VERSION 5.0.8)

find_package(ECM 1.0.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

option(ENABLE_QT "Enable Qt based macro editor" On)
option(ENABLE_TEST "Build Test" On)
option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)

find_package(PkgConfig REQUIRED)
find_package(Fcitx5Core REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
find_package(Gettext REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-unikey\")
fcitx5_add_i18n_definition()

if (ENABLE_QT)
  find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
  find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
  add_subdirectory(macro-editor)
endif (ENABLE_QT)

add_subdirectory(po)
add_subdirectory(unikey)
add_subdirectory(src)
add_subdirectory(data)

if (ENABLE_TEST)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Unikey.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.Unikey.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Unikey.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== macro-editor/CMakeLists.txt ===


set(MACRO_EDITOR_SRCS
    model.cpp
    main.cpp
    editor.cpp
    dialog.cpp
    )

if (NOT ENABLE_QT)
    return()
endif (NOT ENABLE_QT)

add_library(fcitx5-unikey-macro-editor
  MODULE ${MACRO_EDITOR_SRCS})
set_target_properties(fcitx5-unikey-macro-editor PROPERTIES
                      AUTOMOC TRUE
                      AUTOUIC TRUE
                      AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
)
target_link_libraries(fcitx5-unikey-macro-editor
    Qt5::Core
    Qt5::Widgets
    Fcitx5Qt5::WidgetsAddons
    unikey-lib
    )

install(TARGETS fcitx5-unikey-macro-editor DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== src/CMakeLists.txt ===

set( fcitx_unikey_sources
    unikey-im.cpp
    )

add_library(unikey MODULE ${fcitx_unikey_sources})
target_link_libraries(unikey Fcitx5::Core Fcitx5::Config unikey-lib)
target_include_directories(unikey PRIVATE ${PROJECT_BINARY_DIR})
set_target_properties(unikey PROPERTIES PREFIX "")
install(TARGETS unikey DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(unikey.conf.in unikey.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/unikey.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
configure_file(unikey-addon.conf.in.in unikey-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/unikey-addon.conf.in" unikey-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/unikey-addon.conf" RENAME unikey.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== unikey/CMakeLists.txt ===

set(UNIKEY_SRCS
    byteio.cpp
    charset.cpp
    convert.cpp
    data.cpp
    inputproc.cpp
    mactab.cpp
    pattern.cpp
    ukengine.cpp
    usrkeymap.cpp
    unikeyinputcontext.cpp
)


add_library(unikey-lib STATIC ${UNIKEY_SRCS})
target_link_libraries(unikey-lib Fcitx5::Utils)
set_target_properties(unikey-lib PROPERTIES COMPILE_FLAGS "-fPIC")
target_include_directories(unikey-lib PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

=== debian/changelog ===
fcitx5-unikey (5.0.8-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Feb 2022 23:29:10 -0500

fcitx5-unikey (5.0.7-1) unstable; urgency=medium

  * New upstream release 5.0.7. 
  * debian/copyright: Update license information.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Dec 2021 14:13:24 -0500

fcitx5-unikey (5.0.6-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Nov 2021 11:59:03 -0500

fcitx5-unikey (5.0.5-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Oct 2021 15:14:06 -0400

=== debian/control ===
Source: fcitx5-unikey
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.4),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev,
 gettext,
 libfcitx5-qt-dev (>= 5.0.0),
 libfcitx5core-dev (>= 5.0.2),
 pkg-config,
 qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/fcitx/fcitx5-unikey
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-unikey.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-unikey

Package: fcitx5-unikey
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Vietnamese Input Method Engine for Fcitx5 using Unikey Engine
 This package provides a wrapper of Unikey engine for Fcitx5 Input
 Method Framework. Unikey is an input method for Vietnamese.

## fcitx5-unikey 5.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.0.8)
+project(fcitx5-unikey VERSION 5.0.9)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-unikey (5.0.9-1) UNRELEASED; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Fri, 22 Apr 2022 17:01:09 +0800

fcitx5-unikey (5.0.9-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:29:52 -0400

## fcitx5-unikey 5.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.0.9)
+project(fcitx5-unikey VERSION 5.0.11)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -13,7 +13,7 @@
 option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core REQUIRED)
+find_package(Fcitx5Core 5.0.16 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)
 
@@ -23,8 +23,9 @@
 
 if (ENABLE_QT)
   find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
-  find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
+  find_package(Fcitx5Qt5WidgetsAddons 5.0.12 REQUIRED)
   add_subdirectory(macro-editor)
+  add_subdirectory(keymap-editor)
 endif (ENABLE_QT)
 
 add_subdirectory(po)

=== debian/changelog ===
fcitx5-unikey (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 01:29:55 -0400

fcitx5-unikey (5.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 23:24:34 -0400

## fcitx5-unikey 5.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.0.11)
+project(fcitx5-unikey VERSION 5.0.12)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== data/CMakeLists.txt ===
install(DIRECTORY 128x128 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

=== keymap-editor/CMakeLists.txt ===


set(KEYMAP_EDITOR_SRCS
    main.cpp
    editor.cpp
    model.cpp
    actions.cpp
    )

add_library(fcitx5-unikey-keymap-editor
  MODULE ${KEYMAP_EDITOR_SRCS})
set_target_properties(fcitx5-unikey-keymap-editor PROPERTIES
                      AUTOMOC TRUE
                      AUTOUIC TRUE
                      AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
)
target_link_libraries(fcitx5-unikey-keymap-editor
    Qt5::Core
    Qt5::Widgets
    Fcitx5Qt5::WidgetsAddons
    unikey-lib
    )

install(TARGETS fcitx5-unikey-keymap-editor DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== macro-editor/CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,6 @@
     editor.cpp
     dialog.cpp
     )
-
-if (NOT ENABLE_QT)
-    return()
-endif (NOT ENABLE_QT)
 
 add_library(fcitx5-unikey-macro-editor
   MODULE ${MACRO_EDITOR_SRCS})

=== src/CMakeLists.txt ===

set( fcitx_unikey_sources
    unikey-im.cpp
    )

add_library(unikey MODULE ${fcitx_unikey_sources})
target_link_libraries(unikey Fcitx5::Core Fcitx5::Config unikey-lib)
target_include_directories(unikey PRIVATE ${PROJECT_BINARY_DIR})
if (ENABLE_QT)
target_compile_definitions(unikey PRIVATE "-DENABLE_QT")
endif()
install(TARGETS unikey DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(unikey.conf.in unikey.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/unikey.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod" COMPONENT config)
configure_file(unikey-addon.conf.in.in unikey-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/unikey-addon.conf.in" unikey-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/unikey-addon.conf" RENAME unikey.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon" COMPONENT config)

=== test/CMakeLists.txt ===

configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})


add_subdirectory(addon)
add_subdirectory(inputmethod)
add_executable(testunikey testunikey.cpp)
target_link_libraries(testunikey Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testunikey unikey copy-addon copy-im)
add_test(testunikey testunikey)

=== debian/changelog ===
fcitx5-unikey (5.0.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Minor update.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 14:55:04 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5-qt-dev (>= 5.0.0),
- libfcitx5core-dev (>= 5.0.2),
+ libfcitx5-qt-dev (>= 5.0.12~),
+ libfcitx5core-dev (>= 5.0.16~),
  pkg-config,
  qtbase5-dev,
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

%:
	dh $@

## fcitx5-unikey 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.0.12)
+project(fcitx5-unikey VERSION 5.1.0)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-unikey (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:31:46 -0400

fcitx5-unikey (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Jun 2023 10:08:52 -0400

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.4),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5-qt-dev (>= 5.0.12~),
- libfcitx5core-dev (>= 5.0.16~),
+ libfcitx5-qt-dev (>= 5.1),
+ libfcitx5core-dev (>= 5.1),
  pkg-config,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-unikey
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-unikey.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-unikey

## fcitx5-unikey 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.1.0)
+project(fcitx5-unikey VERSION 5.1.2)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -11,6 +11,7 @@
 option(ENABLE_QT "Enable Qt based macro editor" On)
 option(ENABLE_TEST "Build Test" On)
 option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
+option(USE_QT6 "Use Qt6" Off)
 
 find_package(PkgConfig REQUIRED)
 find_package(Fcitx5Core 5.0.16 REQUIRED)
@@ -22,8 +23,14 @@
 fcitx5_add_i18n_definition()
 
 if (ENABLE_QT)
-  find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
-  find_package(Fcitx5Qt5WidgetsAddons 5.0.12 REQUIRED)
+  if (USE_QT6)
+    set(QT_MAJOR_VERSION 6)
+    find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)
+  else()
+    set(QT_MAJOR_VERSION 5)
+    find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
+  endif()
+  find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons 5.0.12 REQUIRED)
   add_subdirectory(macro-editor)
   add_subdirectory(keymap-editor)
 endif (ENABLE_QT)

=== debian/changelog ===
fcitx5-unikey (5.1.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:41 +1100

fcitx5-unikey (5.1.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:21:39 +0000

fcitx5-unikey (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 16:12:47 -0500

fcitx5-unikey (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Oct 2023 09:14:33 -0400

fcitx5-unikey (5.1.0-2) unstable; urgency=medium

  * debian/control: Add hard dependency to fcitx5.

  [ Debian Janitor ]
  * debian/copyright: Remove unused sections.
  * debian/upstream/metadata: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Sep 2023 20:08:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fcitx5-unikey
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -24,6 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ fcitx5,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Vietnamese Input Method Engine for Fcitx5 using Unikey Engine

## fcitx5-unikey 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.1.2)
+project(fcitx5-unikey VERSION 5.1.4)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -11,7 +11,7 @@
 option(ENABLE_QT "Enable Qt based macro editor" On)
 option(ENABLE_TEST "Build Test" On)
 option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
-option(USE_QT6 "Use Qt6" Off)
+option(USE_QT6 "Use Qt6" On)
 
 find_package(PkgConfig REQUIRED)
 find_package(Fcitx5Core 5.0.16 REQUIRED)

=== debian/changelog ===
fcitx5-unikey (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:24:01 -0400

fcitx5-unikey (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 22:43:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-unikey
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

## fcitx5-unikey 5.1.5

=== debian/changelog ===
fcitx5-unikey (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 18:39:32 -0400

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  gettext,
  libfcitx5-qt-dev (>= 5.1),
  libfcitx5core-dev (>= 5.1),
- pkg-config,
+ pkgconf,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-unikey
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-unikey.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-unikey

## fcitx5-unikey 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.1.4)
+project(fcitx5-unikey VERSION 5.1.6)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -14,7 +15,7 @@
 option(USE_QT6 "Use Qt6" On)
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core 5.0.16 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)

=== keymap-editor/CMakeLists.txt ===
--- 
+++ 
@@ -15,11 +15,11 @@
                       AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
 )
 target_link_libraries(fcitx5-unikey-keymap-editor
-    Qt5::Core
-    Qt5::Widgets
-    Fcitx5Qt5::WidgetsAddons
+    Qt${QT_MAJOR_VERSION}::Core
+    Qt${QT_MAJOR_VERSION}::Widgets
+    Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons
     unikey-lib
     )
 
-install(TARGETS fcitx5-unikey-keymap-editor DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)
+install(TARGETS fcitx5-unikey-keymap-editor DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt${QT_MAJOR_VERSION})

=== debian/changelog ===
fcitx5-unikey (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Jan 2025 19:35:38 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  fcitx5-modules-dev,
  gettext,
  libfcitx5-qt-dev (>= 5.1),
- libfcitx5core-dev (>= 5.1),
+ libfcitx5core-dev (>= 5.1.12),
  pkgconf,
  qtbase5-dev,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,7 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DUSE_QT6=Off
+

## fcitx5-unikey 5.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.1.6)
+project(fcitx5-unikey VERSION 5.1.7)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -12,25 +12,23 @@
 option(ENABLE_QT "Enable Qt based macro editor" On)
 option(ENABLE_TEST "Build Test" On)
 option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
-option(USE_QT6 "Use Qt6" On)
 
 find_package(PkgConfig REQUIRED)
 find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)
 
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-unikey\")
 fcitx5_add_i18n_definition()
 
 if (ENABLE_QT)
-  if (USE_QT6)
-    set(QT_MAJOR_VERSION 6)
-    find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)
-  else()
-    set(QT_MAJOR_VERSION 5)
-    find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
-  endif()
+  set(QT_MAJOR_VERSION 6)
+  find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)
   find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons 5.0.12 REQUIRED)
   add_subdirectory(macro-editor)
   add_subdirectory(keymap-editor)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
     unikey-im.cpp
     )
 
-add_library(unikey MODULE ${fcitx_unikey_sources})
+add_fcitx5_addon(unikey ${fcitx_unikey_sources})
 target_link_libraries(unikey Fcitx5::Core Fcitx5::Config unikey-lib)
 target_include_directories(unikey PRIVATE ${PROJECT_BINARY_DIR})
 if (ENABLE_QT)

=== debian/changelog ===
fcitx5-unikey (5.1.7-2) unstable; urgency=medium

  * Rebuild againat gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:57:00 -0400

fcitx5-unikey (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 10:10:18 -0400

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5-qt-dev (>= 5.1),
- libfcitx5core-dev (>= 5.1.12),
+ libfcitx5-qt6-dev (>= 5.1.10-3~),
+ libfcitx5core-dev (>= 5.1.14-4~),
  pkgconf,
- qtbase5-dev,
+ qt6-base-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-unikey
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-unikey.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-unikey

## fcitx5-unikey 5.1.8

=== data/CMakeLists.txt ===
install(DIRECTORY 128x128 16x16 22x22 24x24 48x48 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

=== unikey/CMakeLists.txt ===
--- 
+++ 
@@ -15,5 +15,5 @@
 
 add_library(unikey-lib STATIC ${UNIKEY_SRCS})
 target_link_libraries(unikey-lib Fcitx5::Utils)
-set_target_properties(unikey-lib PROPERTIES COMPILE_FLAGS "-fPIC")
+set_target_properties(unikey-lib PROPERTIES POSITION_INDEPENDENT_CODE ON)
 target_include_directories(unikey-lib PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

=== test/addon/CMakeLists.txt ===
add_custom_target(copy-addon DEPENDS unikey-addon.conf.in-fmt)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/unikey-addon.conf ${CMAKE_CURRENT_BINARY_DIR}/unikey.conf)

=== debian/changelog ===
fcitx5-unikey (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:54:41 -0400

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-unikey/ \
 fcitx5-unikey-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## fcitx5-unikey 5.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-unikey VERSION 5.1.7)
+project(fcitx5-unikey VERSION 5.1.9)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
@@ -24,6 +24,7 @@
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-unikey\")
+add_definitions(-DQT_NO_KEYWORDS)
 fcitx5_add_i18n_definition()
 
 if (ENABLE_QT)

=== debian/changelog ===
fcitx5-unikey (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 11:25:00 -0500

=== debian/control ===
Source: fcitx5-unikey
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev,
 gettext,
 libfcitx5-qt6-dev (>= 5.1.10-3~),
 libfcitx5core-dev (>= 5.1.14-4~),
 pkgconf,
 qt6-base-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/fcitx/fcitx5-unikey
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-unikey.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-unikey
Description: Vietnamese Input Method Engine for Fcitx5 using Unikey Engine
 This package provides a wrapper of Unikey engine for Fcitx5 Input
 Method Framework. Unikey is an input method for Vietnamese.

Package: fcitx5-unikey
Architecture: any
Multi-Arch: same
Depends:
 fcitx5,
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
